<div class="generic-container">
  <div class="panel panel-default">
    <!-- Default panel contents -->
    <div class="row">
      <h2>List of Products</h2>
    </div>
    <div class="panel-heading"><span class="lead">List of Products</span></div>
    <div class="tablecontainer">
      <table class="table table-hover">
        <thead>
          <tr>
            <th>Product Id</th>
            <th>Name</th>
            <th>Code</th>
            <th>Title</th>
            <th>Description</th>
            <th>Image Url</th>
            <th>Price</th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let product of products">
            <td>
              <span>{{ product.productId }}</span>
            </td>
            <td>
              <span>{{ product.name }}</span>
            </td>
            <td>
              <span>{{ product.code }}</span>
            </td>
            <td>
              <span>{{ product.title }}</span>
            </td>
            <td>
              <span>{{ product.description }}</span>
            </td>
            <td>
              <span>{{ product.imgUrl }}</span>
            </td>
            <td>
              <span>{{ product.price }}</span>
            </td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>
</div>
